Ubuntu

can't edit hamster activities

Reported by Lorenzo on 2011-06-20
8
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Project Hamster
Fix Released
Medium
hamster-applet (Ubuntu)
Medium
Jamie Strandboge

Bug Description

If I try to edit Hamster activities I receive the following error on console:
Traceback (most recent call last):
  File "/usr/bin/hamster-time-tracker", line 254, in _open_edit_activity
    dialogs.edit.show(self.window, fact_id = fact["id"])
  File "/usr/lib/pymodules/python2.7/hamster/configuration.py", line 98, in show
    dialog = self.get_dialog_class()(parent, **kwargs)
  File "/usr/lib/pymodules/python2.7/hamster/edit_activity.py", line 119, in __init__
    self.on_in_progress_toggled(self.get_widget("in_progress"))
  File "/usr/lib/pymodules/python2.7/hamster/edit_activity.py", line 241, in on_in_progress_toggled
    self.validate_fields()
  File "/usr/lib/pymodules/python2.7/hamster/edit_activity.py", line 279, in validate_fields
    activity_text, temporary = self.new_name.get_value()
  File "/usr/lib/pymodules/python2.7/hamster/widgets/activityentry.py", line 117, in get_value
    name = "%s@%s" % name, activity['category']
TypeError: not enough arguments for format string

Lorenzo (nakis) wrote :

Converted from question #162073.
I started hamster-time-tracker and clicked on the pen mark near one of the activities on my list.
I attach my Hamster DB.

summary: - can't edit
+ can't edit hamster activities

fix:

--- /usr/lib/python2.7/site-packages/hamster/widgets/activityentry.py.dist 2011-08-19 13:59:24.931867983 -0400
+++ /usr/lib/python2.7/site-packages/hamster/widgets/activityentry.py 2011-08-19 15:12:34.420730132 -0400
@@ -114,7 +114,7 @@
         for activity in self.external_activities:
             name = activity['name']
             if activity['category']:
- name = "%s@%s" % name, activity['category']
+ name = "%s@%s" % (name, activity['category'])
             external_names.add(name.lower())

         return activity_name, activity_name in external_names

Lorenzo (nakis) wrote :

Thx, it works.

Changed in hamster-applet (Ubuntu):
assignee: nobody → Jamie Strandboge (jdstrand)
importance: Undecided → Medium
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hamster-applet - 2.32.1-0ubuntu5

---------------
hamster-applet (2.32.1-0ubuntu5) oneiric; urgency=low

  * debian/patches/06-lp799809.patch: fix traceback when editing categories
    and activity['category'] is defined (LP: #799809)
 -- Jamie Strandboge <email address hidden> Tue, 23 Aug 2011 06:37:38 -0500

Changed in hamster-applet (Ubuntu):
status: Triaged → Fix Released
Changed in hamster-applet:
importance: Unknown → Medium
status: Unknown → Fix Released
Bob Merhebi (bobmerhebi) wrote :

I see that this bug has been fixed, but I'm on Ubuntu 10.04; how can I upgrade ?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.